#include <bits/stdc++.h>
#define ll long long
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    ll n,r=0;
    cin >> n;
    vector<ll>x(n),y(n),z(n);
    for(ll i=0;i<n;i++) cin >> x[i];
    for(ll i=0;i<n;i++) cin >> y[i];
    for(ll i=0;i<n;i++) cin >> z[i],z[i]--;
    map<ll,ll>M;
    for(ll i=0;i<n;i++) M[y[z[i]]]++;
    for(ll i=0;i<n;i++) {
        r+=M[x[i]];
        //M[y[z[i]]]--;
    }
    cout << r;
    return 0;
}